這個端點啟動彩妝虛擬試妝流程。您必須提供來源檔案(透過網址或檔案 ID),並使用定義的特效 schema 指定要套用的特效。任務會以非同步方式處理,您可以使用這個回應回傳的 task_id 查詢其狀態。
安全
BearerAuthenticationV2
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/makeup-vto
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/makeup-vto \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"version": "1.0",
"effects": [
{
"category": "skin_smooth",
"skinSmoothStrength": 50,
"skinSmoothColorIntensity": 50
}
]
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }